
var serial;
var portName = '/dev/cu.usbmodem1411';
var blueLedVal;
var redLedVal;
var lastMouseState = 0;
var mouseState = 0;

//var ghostName = {"Andrew Carnegie", "Maria Montessori", "Albert Einstein", "Bloody Baron", "Annette Kellerman", "Samara Morgan"};
//var ghostAge = {"183", "148", "139", "1036", "How rude!", "you will die within 7 days"};
//var wiseWords = {"Surplus wealth is a sacred trust which its possessor is bound to administer in his lifetime for the good of the community.", "Never help a child with a task at which he feels he can succeed.", "Imagination is more important than knowledge.", "I have nothing to say to you.", "I don't want to be just a pretty fish.", "Here we go, the world is spinning. "};

function setup()
{
    serial = new p5.SerialPort(); 
    // now set a number of callback functions for SerialPort
    serial.on('list', printList); 
    serial.on('connected', serverConnected);
    serial.on('open', portOpen); 
    serial.on('data', serialEvent);
    serial.on('error', serialError);
    serial.on('close', portClose); 
    
    serial.list();
    serial.open(portName);

    // set up our drawing environment
    createCanvas(1200, 600);
}

function mousePressed()
{

  if (mouseState == 3){
    mouseState=0;
  }
  else {
    mouseState++;
  }
}

function ghostPresence(){
  switch(dataRead){
    case 1: var ghostName = text("Andrew Carnegie",30,30);
            var ghostAge = text("183",30,30);
            var ghostWords = text("Surplus wealth is a sacred trust which its possessor is bound to administer in his lifetime for the good of the community.",30,30);
            break;
    case 2: var ghostName = text("Maria Montessori",30,30);
            var ghostAge = text("148",30,30);
            var ghostWords = text("Never help a child with a task at which he feels he can succeed.",30,30);
            break;
    case 3: var ghostName = text("Albert Einstein",30,30);
            var ghostAge = text("139",30,30);
            var ghostWords = text("Imagination is more important than knowledge.",30,30);
            break;
    case 4: var ghostName = text("Bloody Baron",30,30);
            var ghostAge = text("1036",30,30);
            var ghostWords = text("Boo.",30,30);
            break;
    case 5: var ghostName = text("Annette Kellerman",30,30);
            var ghostAge = text("How rude!",30,30);
            var ghostWords = text("You are not just a pretty fish.",30,30);
            break;
    case 6: var ghostName = text("Samara Morgan",30,30);
            var ghostAge = text("You will die within 7 days.",30,30);
            var ghostWords = text("Here we go, the world is spinning.",30,30);
            break;
  }
}

function draw(){

    switch(mouseState){
    case 0: text("We've found a ghost, and they want to talk. Ask questions!",30,30);
      break;
    case 1: text("What's your name?",30,30);
            ghostName;
      //text("my name is" + ghostName,30,30);
      break;
    case 2: text("How old are you?",30,30);
            ghostAge;
      //text(ghostAge, 30,30);
      break;
    case 3: text("Any advice?",30,30);
            ghostWords;
      //text(ghostWords, 30, 30;)
    //text(wiseWords[ghostRead],30,30);
      break;
  }
}

function printList(portList) {
    for (var i = 0; i < portList.length; i++) {
        print(i + " " + portList[i]);
    }
}




function serverConnected()
{
    print('serverConnected');
}

function portOpen()
{
    print('portOpen');
}

function serialEvent()
{
    //var stringRead = serial.readStringUntil('\r\n');

    /*if (stringRead.length > 0 ) {
        var sensorString = split(stringRead, ','); 
        if (sensorString.length > 2) { 
            //ghostName = new text(sensorString[0]);
            //ghostAge = new text(sensorString[1]);
            //ghostWords = new text(sensorString[2]);
            //ghostName = sensorString[0];
            //ghostAge = sensorString[1];
            //ghostWords = sensorString[2];
        }
    }*/
    dataRead = Number(serial.read());
}



function serialError(err)
{
    print('serialError ' + err);
}

function portClose()
{
    print('portClose');
}
